Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #173

libsidplayfp support
September 03, 2012 16:45 - Cristian Morales Vega

Status: Closed Start date: September 03, 2012
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/sid Estimated time: 0.00 hour

Target version: 3.4

Affects version: 3.3.1

Description

Since both libsidplay1 and libsidplay2 have been long unmaintained it would be great if the SID plugin would support libsidplayfp (
http://sourceforge.net/projects/sidplay-residfp/). You could actually remove the support for the old libraries.

It shouldn't be specially difficult. Other than minor things like the removing of the 8 bits output to only support 16 bits the API didn't
change so much.

History

#1 - September 05, 2012 01:52 - Cristian Morales Vega
- File audacious-plugins-3.3.1-libsidplayfp.patch added

The attached patch at least makes it compile with libsidplayfp, but the plugin doesn't work.
The first problem is that the plugin is linked incorrectly, using gcc (and trying to patch that fact with a -Istdc++ at the end). g++ should be used so
options like "-Ur" are passed to Id.

#2 - September 13, 2012 00:40 - John Lindgren

The linking problem is fixed in Git now.

#3 - April 08, 2013 18:56 - Michael Schwendt

Cristian, what's the status here?

#4 - April 08, 2013 19:20 - Cristian Morales Vega

Lack of time and other things getting in the middle mean | totally forgot about this. If you want to give it a try feel free of going for it.

#5 - April 10, 2013 21:54 - Michael Schwendt

The reason | ask is that the primary major SID file collection HVSC - http://www.hvsc.c64.org - has moved on several years ago and dropped SID files
old libsidplay1 supported.

So indeed, supporting libsidplay1 doesn't make much sense anymore, and it doesn't understand the PSID v2NG and RSID file formats either. With
libsidplay2 it's a bit different, but libsidplayfp has been an active project and recently has released 1.0.0 and 1.0.1, which no longer include the legally
troublesome Basic and Kernal ROM images.

#6 - April 15, 2013 11:41 - Hans de Goede
- File 0001-sid-Add-support-for-libsidplayfp.patch added

Hi all,

Since | was interested in getting audacious to support .sid files through libsidplayfp too, I've been spending this weekend on making this happen.
Taking Cristian Morales Vega's patch as a starting point and going from there,
| had to do quite some work to get it to compile with libsidplayfp-1.0.x, and then some more work to make it actually work and feature complete.

The attached patch is against current audacious-plugins git master, and builds and works with libsidplayfp-1.0.x including proper songlength
detection, etc.

Regards,

Hans

#7 - April 19,2013 07:13 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.4

- % Done changed from 0 to 100

Thanks for the work, everyone. I've applied this patch and cleaned up the SID plugin a lot. It requires libsidplayfd now since the number of #if's to be
compatible with three different library variants is too much trouble to deal with.

Files
audacious-plugins-3.3.1-libsidplayfp.patch 17.9 KBSeptember 05, 2012 Cristian Morales Vega
0001-sid-Add-support-for-libsidplayfp.patch 23.2KB April 15, 2013 Hans de Goede
